--- old/usr/src/lib/libm/common/m9x/lround.c	2019-06-06 20:40:25.343070158 +0000
+++ new/usr/src/lib/libm/common/m9x/lround.c	2019-06-06 20:40:25.361787285 +0000
@@ -22,6 +22,7 @@
 /*
  * Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
  */
+
 /*
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
@@ -37,25 +38,29 @@
  * would exceed 32 bits, the invalid operation exception is raised.
  */
 
-#include <sys/isa_defs.h>	/* _ILP32 */
+#include <sys/isa_defs.h>		/* _ILP32 */
 #include "libm.h"
 
 #if defined(_ILP32)
 long
-lround(double x) {
+lround(double x)
+{
 	union {
 		unsigned i[2];
 		double d;
 	} xx;
+
 	unsigned hx, sx, i;
 
 	xx.d = x;
 	hx = xx.i[HIWORD] & ~0x80000000;
 	sx = xx.i[HIWORD] & 0x80000000;
-	if (hx < 0x43300000) {	/* |x| < 2^52 */
+
+	if (hx < 0x43300000) {		/* |x| < 2^52 */
 		if (hx < 0x3ff00000) {	/* |x| < 1 */
 			if (hx >= 0x3fe00000)
 				return (sx ? -1L : 1L);
+
 			return (0L);
 		}
 
@@ -67,15 +72,17 @@
 		} else {
 			i = 1 << (0x432 - (hx >> 20));
 			xx.i[LOWORD] += i;
+
 			if (xx.i[LOWORD] < i)
 				xx.i[HIWORD]++;
+
 			xx.i[LOWORD] &= ~(i | (i - 1));
 		}
 	}
 
 	/* now x is nan, inf, or integral */
-	return ((long) xx.d);
+	return ((long)xx.d);
 }
 #else
 #error Unsupported architecture
-#endif	/* defined(_ILP32) */
+#endif /* defined(_ILP32) */
